Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.beans.factory.config
Class BeanExpressionContext

    java.lang.Object
      org.springframework.beans.factory.config.BeanExpressionContext

    public class BeanExpressionContext

extends Object

Context object for evaluating an expression within a bean definition.

Since:
  3.0
Author:
  Juergen Hoeller

Constructor Summary
`BeanExpressionContext(ConfigurableBeanFactory beanFactory, Scope scope)`

Method Summary
`boolean` | `containsObject(String key)`
`boolean` | `equals(Object other)`
`ConfigurableBeanFactory` | `getBeanFactory()`
`Object` | `getObject(String key)`
`Scope` | `getScope()`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanExpressionContext

    public BeanExpressionContext(ConfigurableBeanFactory beanFactory,
                                 Scope scope)

Method Detail

### getBeanFactory

    public final ConfigurableBeanFactory getBeanFactory()

### getScope

    public final Scope getScope()

### containsObject

    public boolean containsObject(String key)

### getObject

    public Object getObject(String key)

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD